// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the PLUGINWRAPPER_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// PLUGINWRAPPER_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.

enum ReportStatus{
ok = 0,
failed,
hasparams
};

// Functions to learn about the plug-in
unsigned int GetPluginVersion();
void GetGUID(char* guid);
void GetType(char* type);
void GetDescription(char* description);

// Functions to learn about the reports
void GetOutputTypes(void (*pSetFormats) (const char* pOutputTypes));
ReportStatus GetReportList(void (*pSetReports) (const char*), char * error);

// Functions used to run reports
ReportStatus RunReport(const char * reportid, unsigned int reportOutputTypeId, 
                                        const char * project, char * outputfile, char * error);
ReportStatus ExecuteClientCommand(const char * command, 
                                                       void (*pSetResults) (const char*) , char * error);


 